﻿@model PagedList.IPagedList<MVCShowsTV.Models.Show>
@using PagedList.Mvc;
<link href="~/Content/PagedList.css" rel="stylesheet" type="text/css" />
<link rel="stylesheet" href="path/to/font-awesome/css/font-awesome.css">
@using MVCShowsTV.Models;


@{
    ViewBag.Title = "Index";
    
}

<div>
    <form action="@Url.Action("Index", "Shows")">
        <div class="row" style="padding-top:10px">
            <div class="col-md-6">
                <p>
                    <label>Find by Title:</label> @Html.TextBox("SearchString","", new { @class="etiqueta"})
                </p>
            </div>
            <div class="col-md-4">
                En Emisión: @Html.CheckBox("chkBroadcast") |Cancelada: @Html.CheckBox("chkCancelled") | Finalizada: @Html.CheckBox("chkEnded")
            </div>
            <div class="col-md-2">
                <button type="submit" class="btn btn-primary">Buscar</button>
            </div>            
        </div>        
    </form>
   
    <div>
        <table class="table" style="width:100%">
            <tr>
                <th>
                    @*@Html.DisplayNameFor(model => model.Title)*@
                    @Html.ActionLink("Título", "Index", new { sortOrder = ViewBag.TitleSortParam, currentFilter = ViewBag.CurrentFilter })
                </th>
                <th>
                    @*@Html.DisplayNameFor(model => model.ReleaseYear)*@
                    @Html.ActionLink("Año de Estreno", "Index", new { sortOrder = ViewBag.YearSortParam, currentFilter = ViewBag.CurrentFilter })
                </th>
                <th>
                    @*@Html.DisplayNameFor(model => model.Country)*@
                    Pais
                </th>
                <th>
                    @*@Html.DisplayNameFor(model => model.OnBroadCast)*@
                    En emision
                </th>
                <th>
                    @*@Html.DisplayNameFor(model => model.Cancelled)*@
                    Cancelada
                </th>
                <th>
                    Finalizada
                    @*@Html.DisplayNameFor(model => model.Finished)*@
                </th>
                <th>

                </th>
            </tr>

            @foreach (var item in Model.ToList())
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.Title)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.ReleaseYear)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Country)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.OnBroadCast)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Cancelled)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Finished)
                    </td>
                    <td>
                        @Html.ActionLink("Edit", "Edit", new { id = item.ShowId }) |
                        @Html.ActionLink("Details", "Details", new { id = item.ShowId })
                        |
                        @*@Html.ActionLink("Delete", "Delete", new { id = item.ShowId })*@
                        @{ var urlRemove = Url.Action("removeSerie", "Shows", new { id = item.ShowId });}
                        <button type="button" 
                                class="btn btn-danger" 
                                onclick="mostrarConfirmarEliminacion('@item.ShowId');" 
                                style="float:right; 
                                display:inline-flex;">
                        <i class="fa-trash" aria-hidden="true"></i>Eliminar</button>
                    </td>
                </tr>
             }
        </table>
        <br />
        Page @(Model.PageCount < Model.PageNumber ? 0 : Model.PageNumber) of @Model.PageCount

        @Html.PagedListPager(Model, page => Url.Action("Index",
         new { page, sortOrder = ViewBag.CurrentSort, currentFilter = ViewBag.CurrentFilter, chkCancelled = ViewBag.Cancelled ,
             chkBroadcast  = ViewBag.Broadcast, chkEnded= ViewBag.Ended }))
    </div>
</div>

@{
    
 }

<div class="modal fade" id="modalDeleteConfirm" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel"></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body" id="modalBody" style="text-align:center">
                <div>
                    <h2>Está seguro que desea eliminar el registro?</h2>
                    <button type="button" class="btn btn-danger" data-dismiss="modal" onclick="eliminarSerie();">Eliminar</button>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
            </div>
        </div>
    </div>
</div>

@section Scripts
{
    <style>
        #etiquetas {
            color: #0094ff;
        }

        .cajaBusqueda {
            background-color: darkgrey;
            min-width: 400px;
        }

    </style>

    <script>
        var idserieEliminar = "";

        alert("Hola");

        function mostrarConfirmarEliminacion(idSerie) {
            idserieEliminar = idSerie;
            $("#modalDeleteConfirm").modal("show");

        }

        function eliminarSerie() {
            @{var urlRemove = Url.Action("RemoveSerie", "Shows");}
            var url = "@urlRemove?id=" + idserieEliminar;

             
            window.location = url;
            return false;
        }

    </script>
}